MaddenCompanionApp.directive('configItem', function() {
  return {
    'restrict': 'E',
    'scope': {
      'config': '='
    },
    'replace': true,
    'template': '<div class="config clearfix">' +
      '<div class="config-details">' +
      '<div class="config-content" ng-show="config.content" ng-bind="config.content"></div>' +
      '<div class="config-content" ng-show="config.contentOn && config.value" ng-bind="config.contentOn"></div>' +
      '<div class="config-content" ng-show="config.contentOff && !config.value" ng-bind="config.contentOff"></div>' +
      '<div class="config-input" ng-switch="config.type">' +
        '<div class="config-toggle" ng-switch-when="toggle">' +
          '<img ng-if="!config.value" ng-click="config.callback(1); config.value = 1;" src="img/toggle-off.png">' +
          '<img ng-if="config.value" ng-click="config.callback(0); config.value = 0;" src="img/toggle-on.png">' +
          '<div class="config-text" ng-if="!config.value">OFF</div>' +
          '<div class="config-text" ng-if="config.value">ON</div>' +
        '</div>' +
        '<div class="config-toggle" ng-switch-when="customToggle">' +
          '<img ng-if="!config.value" ng-click="config.callback(1); config.value = 1;" src="img/toggle-off.png">' +
          '<img ng-if="config.value" ng-click="config.callback(0); config.value = 0;" src="img/toggle-on.png">' +
          '<div class="config-text" ng-show="!config.value" ng-bind="config.toggleOff"></div>' +
          '<div class="config-text" ng-show="config.value" ng-bind="config.toggleOn"></div>' +
        '</div>' +
      '</div>' +
      '</div>' +
      '</div>',
    controller: ['$scope', '$log', function($scope, $log) {
    }]
  }
});
