MaddenCompanionApp.directive('eaModal', function() {
  return {
    restrict: 'E',
    transclude: true,
    replace: true,
    template: '<div class="ea-modal">' +
      '<h1 ng-bind="modal.header"></h1>' +
      '<div class="inner">' +
      '<span ng-transclude></span>' +
      '<button class="cancel" ng-show="modal.buttonCancel.content" ng-click="modal.buttonCancel.action()" ng-bind="modal.buttonCancel.content"></button>' +
      '</div>' +
      '</div>',
    scope: {
      isOpen: '=',
      fn: '&modal'
    },
    controller: ['$scope', '$element', '$location', function($scope, $element, $location) {
      $scope.modal = $scope.fn();

      $scope.closeModal = function() {
        $scope.isOpen = false;
      };
      $scope.action = function(temp){
        window.console.log(temp);
      }
      $scope.$watch('isOpen', function(isOpen) {
        if (isOpen) {
          $scope.currentUrl = $location.absUrl();
          $element.addClass('ea-modal--open');
        } else {
          $element.removeClass('ea-modal--open');
        }
      });
    }]
  };
});
