MaddenCompanionApp.directive('mcaMessage', function() {
  return {
    'restrict': 'E',
    'scope': {
      'message': '='
    },
    'replace': true,
    'template':
      '<div class="message clearfix" ng-click="$parent.openUrl(\'[[message.url]]\')">' +
        '<div class="message-meta">' +
          '<div class="message-icon" ng-if="message.icon"><img ng-src="[[message.icon]]" /></div>' +
          '<div class="message-icon" ng-if="!message.icon && message.type"><img ng-src="img/Icons_Misc_News.png" /></div>' +
          '<div class="message-timestamp" ng-if="message.date" am-time-ago="message.date"></div>' +
        '</div>' +
        '<div class="message-details">' +
          '<div class="message-preview" ng-bind="message.previewText"></div>' +
          '<div class="message-content" ng-show="message.processed" ng-bind="message.content"></div>' +
          '<div class="message-content" ng-bind-html="message.html"></div>' +
          '<div class="message-content" ng-hide="message.processed">' +
            '<img src="img/loading.gif" />' +
          '</div>' +
        '</div>' +
      '</div>'
  }
});
